#include <bits/stdc++.h>
using namespace std;

// Recursive Function to print the array
void displayArr(int arr[], int size, int idx){
	
	// base case
	
	if(idx == size){
		return;
	
	}
	
	//print the ith elements
	cout<<arr[idx]<<endl;
	
	// Recursive Call
	displayArr(arr, size, idx + 1);
}

int main(){
	
	int n;
	cin>>n;
	
	int arr[n];
	
	int length = sizeof(arr)/sizeof(arr[0]);
	
	for(int i = 0; i < length; i++){
		cin>>arr[i];
	}
	
	displayArr(arr, length, 0);
	return 0;
}
